Page MenuHomePhabricator

Error with empty group during exports
Closed, ResolvedPublic

Description

Got the following errors during the last two exports,

[Symfony\Component\Process\Exception\ProcessFailedException]                                                                       
The command "php /srv/mediawiki/targets/production/extensions/Translate/scripts/export.php --lang='*' --group='' --quiet='1' --th  
reshold='25' --target='/resources/abi' --skip='en,qqq'" failed.                                                                    
Exit Code: 1(General error)                                                                                                        
Working directory: /resources/abi                                                                                                  
Output:                                                                                                                            
================                                                                                                                   
Error Output:                                                                                                                      
================                                                                                                                   
EE1: No valid message groups identified.

The group is empty and hence the export fails.

Export command:

autoexport > /home/abi/logs/autoexport/2019-07-22-1.log 2>>/home/abi/logs/autoexport/2019-07-22-error.log

Details

Related Gerrit Patches:

Event Timeline

abi_ created this task.Jul 22 2019, 2:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2019, 2:14 PM

It would be helpful to know under which project this happens. Now the error is separated from the other output so it's not possible to make the connection.

Seems to be from mwgitlab. group: mwgitlab-* does not match mwgitlabskin-liberty. The dash should be removed, or mwgitlabskin-* added to the list.

Hi @Nikerabbit - Thanks for investigating this. I'll submit a patch tomorrow to fix this.

@Pginer-WMF - Can you please add this task to the current Language team board? Its a small fix and affects exports on Translatewiki.net

Pginer-WMF triaged this task as Medium priority.Jul 23 2019, 8:16 AM

Change 525060 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Fix error with empty group during exports

https://gerrit.wikimedia.org/r/525060

Change 525060 merged by jenkins-bot:
[translatewiki@master] Fix error with empty group during exports

https://gerrit.wikimedia.org/r/525060

abi_ closed this task as Resolved.Jul 25 2019, 8:53 AM

Exports today did not have this issue. The mwgitlab group had exports today,

cd 'mwgitlab/librewiki/Liberty-MW-Skin'; git add .; if ! git diff --cached --quiet; then git commit -m 'Localisation updates from https://translatewiki.net.'; git rebase 'origin/master' && git push origin 'master'; fi
[master 3966372] Localisation updates from https://translatewiki.net.
 18 files changed, 413 insertions(+), 8 deletions(-)
 create mode 100644 i18n/ar.json
 create mode 100644 i18n/as.json
 create mode 100644 i18n/fr.json
 create mode 100644 i18n/it.json
 create mode 100644 i18n/lb.json
 create mode 100644 i18n/mk.json
 create mode 100644 i18n/nl.json
 create mode 100644 i18n/pl.json
 create mode 100644 i18n/pt-br.json
 create mode 100644 i18n/pt.json
 create mode 100644 i18n/roa-tara.json
 create mode 100644 i18n/skr-arab.json
 create mode 100644 i18n/sv.json
 create mode 100644 i18n/tg-cyrl.json
 create mode 100644 i18n/tyv.json
 create mode 100644 i18n/zh-hant.json
Current branch master is up to date.